summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2015-02-20 15:26:53 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-20 15:26:53 +0700
commit40e5f1b14fd3c61708bdb5ac5eb9d6c8fd29a76e (patch)
tree99a3790e3c1a522ddd3af478e6e041a579c156d7 /libraries
parente77929dcd68b74bb9a65132e846aa7a1d7c6fe1d (diff)
downloadslackbuilds-40e5f1b14fd3c61708bdb5ac5eb9d6c8fd29a76e.tar.gz
slackbuilds-40e5f1b14fd3c61708bdb5ac5eb9d6c8fd29a76e.tar.xz
libraries/fuzzylite: Added (control library in C++).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/fuzzylite/README5
-rw-r--r--libraries/fuzzylite/doinst.sh3
-rw-r--r--libraries/fuzzylite/fuzzylite.SlackBuild102
-rw-r--r--libraries/fuzzylite/fuzzylite.info10
-rw-r--r--libraries/fuzzylite/slack-desc19
5 files changed, 139 insertions, 0 deletions
diff --git a/libraries/fuzzylite/README b/libraries/fuzzylite/README
new file mode 100644
index 0000000000..c9ffda0cfa
--- /dev/null
+++ b/libraries/fuzzylite/README
@@ -0,0 +1,5 @@
+fuzzylite is a free and open-source fuzzy logic control library
+programmed in C++ for multiple platforms (Windows, Linux, Mac, iOS).
+Its goal is to allow you to easily create fuzzy logic controllers in
+a few steps utilizing object-oriented programming without requiring
+any third-party libraries.
diff --git a/libraries/fuzzylite/doinst.sh b/libraries/fuzzylite/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/libraries/fuzzylite/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/libraries/fuzzylite/fuzzylite.SlackBuild b/libraries/fuzzylite/fuzzylite.SlackBuild
new file mode 100644
index 0000000000..e8651db963
--- /dev/null
+++ b/libraries/fuzzylite/fuzzylite.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for fuzzylite
+
+# Copyright 2015 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=fuzzylite
+VERSION=${VERSION:-5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd $PRGNAM && mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ../..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# fix lib path
+if [ "$ARCH" = "x86_64" ]; then
+ mv $PKG/usr/lib/ $PKG/usr/lib64
+fi
+
+# remove static library
+rm $PKG/usr/lib${LIBDIRSUFFIX}/libfuzzylite-static.a
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHOR ChangeLog README.md LICENSE COPYING* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/fuzzylite/fuzzylite.info b/libraries/fuzzylite/fuzzylite.info
new file mode 100644
index 0000000000..6343f36f55
--- /dev/null
+++ b/libraries/fuzzylite/fuzzylite.info
@@ -0,0 +1,10 @@
+PRGNAM="fuzzylite"
+VERSION="5.0"
+HOMEPAGE="http://www.fuzzylite.com"
+DOWNLOAD="https://github.com/fuzzylite/fuzzylite/archive/v5.0.tar.gz"
+MD5SUM="0a5f4316551912884d969ad469411115"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/libraries/fuzzylite/slack-desc b/libraries/fuzzylite/slack-desc
new file mode 100644
index 0000000000..237003f54b
--- /dev/null
+++ b/libraries/fuzzylite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fuzzylite: fuzzylite (control library in C++)
+fuzzylite:
+fuzzylite: fuzzylite is a free and open-source fuzzy logic control library
+fuzzylite: programmed in C++ for multiple platforms (Windows, Linux, Mac, iOS).
+fuzzylite: Its goal is to allow you to easily create fuzzy logic controllers in
+fuzzylite: a few steps utilizing object-oriented programming without requiring
+fuzzylite: any third-party libraries.
+fuzzylite:
+fuzzylite: Homepage: http://www.fuzzylite.com
+fuzzylite:
+fuzzylite: